Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.ooxml
Class DocxParagraphHelper

    java.lang.Object
      net.sf.jasperreports.engine.export.ooxml.BaseHelper
          net.sf.jasperreports.engine.export.ooxml.DocxParagraphHelper

    public class DocxParagraphHelper

extends BaseHelper

Version:
  $Id: DocxParagraphHelper.java 3941 2010-08-20 10:55:10Z teodord $
Author:
  sanda zaharia (shertage@users.sourceforge.net)

Field Summary
`protected static int` | `LINE_SPACING_FACTOR`

Fields inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper
`writer`

Constructor Summary
`DocxParagraphHelper(java.io.Writer writer, boolean pageBreak)`

Method Summary
`void` | `exportEmptyParagraph()`
`void` | `exportProps(JRPrintText text)`
`void` | `exportProps(JRStyle style)`
`static java.lang.String` | `getHorizontalAlignment(HorizontalAlignEnum horizontalAlignment)`
`static java.lang.String` | `getLineSpacing(LineSpacingEnum lineSpacing)`

Methods inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper
`close, flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINE_SPACING_FACTOR

    protected static final int LINE_SPACING_FACTOR

See Also:
  Constant Field Values

Constructor Detail

### DocxParagraphHelper

    public DocxParagraphHelper(java.io.Writer writer,
                               boolean pageBreak)

Method Detail

### exportProps

    public void exportProps(JRStyle style)

### exportProps

    public void exportProps(JRPrintText text)

### exportEmptyParagraph

    public void exportEmptyParagraph()

### getHorizontalAlignment

    public static java.lang.String getHorizontalAlignment(HorizontalAlignEnum horizontalAlignment)

### getLineSpacing

    public static java.lang.String getLineSpacing(LineSpacingEnum lineSpacing)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com